Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	X.Org X11 libxkbui runtime library
Name: 		libxkbui
Version: 	1.0.2
Release: 	6
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/libxkbfile/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	libX11-devel libXt-devel
BuildRequires:  libxkbfile-devel

Obsoletes: 	xorg-libs

%description
X.Org X11 libxkbui runtime library

%package devel
Summary: 	X.Org X11 libxkbui development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

%description devel
X.Org X11 libxkbui development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: We use -fno-strict-aliasing, to work around the following bug:
# maprules.c:1373: warning: dereferencing type-punned pointer will break strict-aliasing rules)
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libxkbui.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libxkbui.so
%{_includedir}/X11/extensions/XKBui.h
%{_libdir}/pkgconfig/xkbui.pc

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-6
- rebuilt
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-5
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-4
- rebuilt
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-3
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Initial release
